Getting started with mesa 7i95?

More
01 Feb 2021 10:17 #197296 by suraj9735
I have linuxcnc 2.8.1 installed in my computer. I also have brand new mesa 7i95 card. I have read lots forum discussions, what I feel, there is no such thread like "getting started with mesa 7i95". Till now my experience says I need to edit .ini/.hal file for using 7i95 card because linuxcnc 2.8.1 does not support and don't have option to choose 7i95 card from config wizard. I also confuse about the steps/checklist for Hostmot2 driver for 7i95. there are bunch of tutorial for other mesa card but never seen full tutorial on youtube for 7i95 card. I am very new to linuxcnc and want to test the 7i95 card.

Please tell me the steps and checklist to use the mesa 7i95 card. And in further discussion I will ask my next doubts. Thanks.

Please Log in or Create an account to join the conversation.

More
01 Feb 2021 12:15 #197300 by bevins

suraj9735 wrote: I have linuxcnc 2.8.1 installed in my computer. I also have brand new mesa 7i95 card. I have read lots forum discussions, what I feel, there is no such thread like "getting started with mesa 7i95". Till now my experience says I need to edit .ini/.hal file for using 7i95 card because linuxcnc 2.8.1 does not support and don't have option to choose 7i95 card from config wizard. I also confuse about the steps/checklist for Hostmot2 driver for 7i95. there are bunch of tutorial for other mesa card but never seen full tutorial on youtube for 7i95 card. I am very new to linuxcnc and want to test the 7i95 card.

Please tell me the steps and checklist to use the mesa 7i95 card. And in further discussion I will ask my next doubts. Thanks.


If I am not mistaken, you should be running master 2.9 using 7i95. I dont think they backported it to 2.8.

Please Log in or Create an account to join the conversation.

More
01 Feb 2021 14:18 #197306 by PCW
Replied by PCW on topic Getting started with mesa 7i95?
2.8.1 supports the 7I95 but there is no pncconf support (in 2.8.1 or master)

Please Log in or Create an account to join the conversation.

More
01 Feb 2021 16:51 #197317 by suraj9735
Thanks for your help,

I just want to run single steeper motor for trial of mesa 7i95 using 2.8.1 version and later will explore the different config wizard available. I want to make sure, I am able to establish ethernet connection, hostmot2 driver configuration for mesa 7i95. Today is my 12th day on linuxcnc, so I am very new to this and landed in a project for automation of 5 axis micro-milling machine.

Please tell me which config should I try first in 2.8.1 to run a single steeper motor using 7i95 card?

Please Log in or Create an account to join the conversation.

More
01 Feb 2021 17:50 #197320 by PCW
Replied by PCW on topic Getting started with mesa 7i95?
I would run either JTs 7i96 configuration utility or pncconf with a 7I96 selected
and then edit the resulting hal and or ini files and globally replace '7i96' with
'7i95'. That should get you a minimal working 7I95 configuration file set
The following user(s) said Thank You: suraj9735

Please Log in or Create an account to join the conversation.

More
02 Feb 2021 07:25 - 02 Feb 2021 08:02 #197383 by suraj9735
As per your suggestion, I am trying pncconf for xz axis. I have just added two step generation for x and z axis, other things I kept default. I got a error on "x motor page". I am not able to apply the scale and move forward for next step.

I have attached the image of the error. Please help me to troubleshoot this error. Thanks.
Attachments:
Last edit: 02 Feb 2021 08:02 by suraj9735.

Please Log in or Create an account to join the conversation.

More
02 Feb 2021 07:39 - 02 Feb 2021 07:42 #197386 by suraj9735
Bevins, Thanks for your suggestion. Could you help to drop a thread link here, where I find the detail instruction for upgrading 2.8.1 to the master file of 2.9. I think, I may find it on buildbot page ( buildbot.linuxcnc.org/dists/ ). but there are seven different Linux distribution files and am confused which one to select and required for my configuration. I am using Ubuntu 18.04.5 LTS.
Last edit: 02 Feb 2021 07:42 by suraj9735.

Please Log in or Create an account to join the conversation.

More
02 Feb 2021 10:17 #197403 by tommylight
No need for the upgrade, 7i95 works with 2.8.1.
The error seems to point to something with locale settings due to language settings, so try it without using letters and symbols that are not pressent in UTF8 locale.

Please Log in or Create an account to join the conversation.

More
02 Feb 2021 11:04 #197406 by suraj9735
I changed my locale settings using terminal command "$ sudo localectl set-locale LC_TIME=en_US.UTF-8". And it works for me.

Please Log in or Create an account to join the conversation.

More
02 Feb 2021 11:25 - 02 Feb 2021 11:29 #197407 by suraj9735
As per your suggestion, I did everything. used pncconf, 7i96 card, generated file and launcher, edited two file (try3.hal and try3.ini) and replaced 7i96 to 7i95 everywhere. i did all without connecting the mesa 7i95 card to the pc, I planned to connect it after launching the wizard ( I'm not sure the error is related with this ). I was ready and very happy to launch the configured file, but unfortunately got a error again. and i am not able to launch my configured file. Please help.

I have attached my error and configured file.
Attachments:
Last edit: 02 Feb 2021 11:29 by suraj9735.

Please Log in or Create an account to join the conversation.

Moderators: PCWjmelson
Time to create page: 0.139 seconds
Powered by Kunena Forum